How do I migrate Angular from 10 to 12 in a correct way>

Issue

I am working on Angular project migration.
Initial project was Angular 10 -based and now I am migrating it to Angular 12.
But the project is not running after migration.

Solution

The issue is with Throbber which is of extension .less and you are trying to use that using CSS-parser that whats error is saying. Npm suggestion says : use postcss-less to parse it. I’m not sure it is being added by you or any third-party npm package.

I would suggest you to use loading icon that can be used using css or convert less code to css using online converter. you can check here.

Answered By – Apoorva Chikara

Answer Checked By – Marilyn (AngularFixing Volunteer)

Leave a Reply

Your email address will not be published.